package com.dsk.system.service;

import com.dsk.common.core.domain.entity.BusinessRelateCompany;
import com.dsk.system.domain.BusinessIdDto;

import java.util.List;

/**
 * 项目关联单位Service接口
 * 
 * @author lxl
 * @date 2023-05-17
 */
public interface IBusinessRelateCompanyService 
{
    /**
     * 查询项目关联单位
     * 
     * @param id 项目关联单位主键
     * @return 项目关联单位
     */
    public BusinessRelateCompany selectBusinessRelateCompanyById(Long id);

    /**
     * 查询项目关联单位列表
     * 
     * @param businessRelateCompany 项目关联单位
     * @return 项目关联单位集合
     */
    public List<BusinessRelateCompany> selectBusinessRelateCompanyList(BusinessRelateCompany businessRelateCompany);

    /**
     * 新增项目关联单位
     * 
     * @param businessRelateCompany 项目关联单位
     * @return 结果
     */
    public int insertBusinessRelateCompany(BusinessRelateCompany businessRelateCompany);

    /**
     * 修改项目关联单位
     * 
     * @param businessRelateCompany 项目关联单位
     * @return 结果
     */
    public int updateBusinessRelateCompany(BusinessRelateCompany businessRelateCompany);

    /**
     * 批量删除项目关联单位
     * 
     * @param ids 需要删除的项目关联单位主键集合
     * @return 结果
     */
    public int deleteBusinessRelateCompanyByIds(Long[] ids);

    /**
     * 删除项目关联单位信息
     * 
     * @param id 项目关联单位主键
     * @return 结果
     */
    public int deleteBusinessRelateCompanyById(Long id);

    /**
     * 查询关联单位角色
     */
     List<String> companyRoleList(BusinessIdDto dto);
}
